#!/bin/bash
set -e
arch=$(uname -m)
pkg=hickle
if [ "$AUTOPKGTEST_TMP" = "" ] ; then
        AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
fi
cd "$AUTOPKGTEST_TMP"

for py in $(py3versions -s); do
    mkdir ${py}; cd ${py}
    if [[ "$arch" == "s390x" ]]; then
        $py -Wd -m pytest -k "not (test_astropy_time_array or test_H5NodeFilterProxyi or test_LoaderManager_load_loader)" --no-cov -v -x --pyargs hickle 2>&1
    else
        $py -Wd -m pytest -k "not (test_H5NodeFilterProxy or test_LoaderManager_load_loader)" --no-cov -v -x --pyargs hickle 2>&1
    fi
done
